> ## Documentation Index
> Fetch the complete documentation index at: https://vida.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Add Webhook

> Add a new webhook destination.



## OpenAPI

````yaml post /api/v2/webhooks
openapi: 3.0.0
info:
  version: 2.0.0
  title: Vida API
  description: Vida API Documentation
servers:
  - url: https://api.vida.dev
    description: Vida Production
    variables:
      baseUrl:
        default: api.vida.dev
        description: Production API Root
security: []
paths:
  /api/v2/webhooks:
    post:
      tags:
        - Webhooks
      summary: Add Webhook
      description: Add a new webhook destination.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - url
                - label
                - type
              properties:
                url:
                  description: Webhook URL
                  type: string
                  example: https://hooks.zapier.com/hooks/catch/123456/abcdef
                label:
                  description: Friendly label for webhook
                  type: string
                  example: Zapier Hook
                type:
                  description: Webhook type
                  type: string
                  enum:
                    - conversation
                    - incoming
                    - contact
                    - agent
                    - onboarding
                  example: conversation
      responses:
        '200':
          description: OK
        '201':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: true
                  message:
                    type: string
                    example: Webhook created successfully
                  webhooks:
                    type: array
                    items:
                      type: object
                      properties:
                        userId:
                          description: User Id
                          type: number
                          example: 3
                        label:
                          description: Friendly label for webhook
                          type: string
                          example: Zapier Hook
                        timestamp:
                          description: Timestamp when created
                          type: number
                          example: 1678829072
                        url:
                          description: Webhook URL
                          type: string
                          example: https://hooks.zapier.com/hooks/catch/123456/abcdef
                        type:
                          description: Webhook type
                          type: string
                          example: conversation
        '400':
          description: Bad Request
        '401':
          description: Unauthorized
      security:
        - apiKeyAuth: []
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: query
      name: token
      description: Vida API Token

````